#version 100
precision mediump float;varying vec4 col;varying vec3 nrm,tan,bin;varying vec2 uv;
uniform sampler2D tex0;uniform sampler2D tex1;uniform sampler2D tex2;uniform float 
light;void main(){	vec3 normal;vec4 col = texture2D(tex0,uv);vec4 nn = texture2D
(tex1,uv);	normal = normalize(tan*nn.r + bin*nn.g + nrm*nn.b);	vec4 envcol = 
texture2D(tex2, normal.xy * 0.5 + vec2(0.5,0.5) );col = col* envcol*col.a;col +=
mix(vec4(0.0,0.0,0.0,1.0),vec4(2.0,1.5,1.0,1.0),light)*clamp(0.75-nn.a,0.0,1.0);
gl_FragColor = col;}